Team
List Organization Custom Roles
List the active custom roles defined on the organization, newest first.
GET
List the active custom roles defined on the organization, newest first.
api_keyheader
AuthorizationBasic <token>limit?integerMaximum number of results to return. Defaults to 100.
Range
1 <= value <= 100starting_after?stringReturn results after the role with this ID.
Format
uuidending_before?stringReturn results before the role with this ID.
Format
uuidOK
application/json- response
data?array<>has_more?booleantrue if there are more objects.
Example Request
curl -X GET 'https://api.dots.dev/api/v2/organizations/roles'Example Response
{ "data": [ { "id": "8a5f8a7e-1b0f-4f4b-9b2e-3c8d6f1e2a90", "name": "Payout operator", "actions": [ "create_payout", "get", "view_payouts_tab" ], "scope": "organization" } ], "has_more": false}Cancel an App Developer Invite
Cancel a pending invite. Canceling an already canceled invite returns it unchanged.
Create an Organization Custom Role
Create a custom role on the organization. Assign it to team members with `update-organization-developer` or to new members with `create-organization-developer-invite`.